MWCapture SDK Mac 3.4.62314

- Home
- Development Library
- Release Notes

Public Attributes | List of all members
_MWCAP_AUDIO_CAPS Struct Reference
Structures

MWCAP_AUDIO_CAPS. More...

`#include <MWCaptureExtension.h>`

## Public Attributes
DWORD | dwCaps
| Audio capture capability.

## Detailed Description

MWCAP_AUDIO_CAPS.

Records audio capture capability of your card.
Usage:

MWCAP_AUDIO_CAPS audioCaps;
MWGetAudioCaps(m_hcChannel,&audioCaps);
if(audioCaps.dwCaps&MWCAP_USB_AUDIO_CAP_EMBEDDED_CAPTURE){
//MWCAP_AUDIO_CAPTURE_NODE_EMBEDDED_CAPTURE;
}
if(audioCaps.dwCaps&MWCAP_USB_AUDIO_CAP_MICROPHONE){
//MWCAP_AUDIO_CAPTURE_NODE_MICROPHONE;
}
if(audioCaps.dwCaps&MWCAP_USB_AUDIO_CAP_LINE_IN){
//MWCAP_AUDIO_CAPTURE_NODE_LINE_IN;
}
if(audioCaps.dwCaps&MWCAP_USB_AUDIO_CAP_USB_CAPTURE){
//MWCAP_AUDIO_CAPTURE_NODE_USB_CAPTURE;
}
if (audioCaps.dwCaps&MWCAP_USB_AUDIO_CAP_HEADPHONE){
//headphone
}
MWGetAudioCaps
MW_RESULT LIBMWCAPTURE_API MWGetAudioCaps(HCHANNEL hChannel, MWCAP_AUDIO_CAPS *pAudioCaps)
Gets audio capture capability of the channel.
_MWCAP_AUDIO_CAPS
MWCAP_AUDIO_CAPS.
Definition: MWCaptureExtension.h:515
_MWCAP_AUDIO_CAPS::dwCaps
DWORD dwCaps
Audio capture capability.
Definition: MWCaptureExtension.h:516

Where dwCaps correspond to

#define MWCAP_USB_AUDIO_CAP_MICROPHONE (1 << MWCAP_USB_AUDIO_MICROPHONE)\n
#define MWCAP_USB_AUDIO_CAP_HEADPHONE (1 << MWCAP_USB_AUDIO_HEADPHONE)\n
#define MWCAP_USB_AUDIO_CAP_LINE_IN (1 << MWCAP_USB_AUDIO_LINE_IN)\n
#define MWCAP_USB_AUDIO_CAP_LINE_OUT (1 << MWCAP_USB_AUDIO_LINE_OUT)\n
#define MWCAP_USB_AUDIO_CAP_EMBEDDED_CAPTURE (1 << MWCAP_USB_AUDIO_EMBEDDED_CAPTURE)\n
#define MWCAP_USB_AUDIO_CAP_EMBEDDED_PLAYBACK (1 << MWCAP_USB_AUDIO_EMBEDDED_PLAYBACK)\n
#define MWCAP_USB_AUDIO_CAP_USB_CAPTURE (1 << MWCAP_USB_AUDIO_USB_CAPTURE)\n
#define MWCAP_USB_AUDIO_CAP_USB_PLAYBACK (1 << MWCAP_USB_AUDIO_USB_PLAYBACK)\n

It is used for USB capture card to determine whether your USB capture card support for audio function

The documentation for this struct was generated from the following file:

- /Users/magewell/builds/ks3341Bc/0/msdk/research/mw_capture_sdk_mac/Include/LibMWCapture/MWCaptureExtension.h